gtk.HScale
Prev | The gtk Class Reference | Next

## gtk.HScale

gtk.HScale — a horizontal slider widget for selecting a value from a range.

## Synopsis

    class gtk.HScale(gtk.Scale):
        gtk.HScale(adjustment=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Range
            +-- gtk.Scale
              +-- gtk.HScale

## Implemented Interfaces

`gtk.HScale` implements `gtk.Buildable`

## gtk.HScale Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Range Properties

gtk.Scale Properties

## gtk.HScale Style Properties

gtk.Widget Style Properties

gtk.Range Style Properties

gtk.Scale Style Properties

## gtk.HScale Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Range Signal Prototypes

gtk.Scale Signal Prototypes

## Description

The `gtk.HScale` is subclassed from `gtk.Scale` to provide a widget that allows a user to select a value using a horizontal slider. See the `gtk.Scale` description for more information on the methods available to manage a `gtk.HScale`.

## Constructor

        gtk.HScale(adjustment=None)

`adjustment` : | a `gtk.Adjustment` object
Returns : | a new hscale widget

Creates a new `gtk.HScale` widget and associates a `gtk.Adjustment` specified by `adjustment`. The default value of `adjustment` is `None` which creates the hscale with no `gtk.Adjustment`.

Prev | Up | Next
gtk.HRuler | Home | gtk.HScrollbar